CREATE TABLE gtg_ts_expenserptinfo (
    ETL_SEQUENCE_ID                  NUMBER(19, 0),
    ETL_VERSION_NUMBER               NUMBER(18, 0),
    DELETE_VERSION_NUMBER            NUMBER(18, 0),
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    APPLY_CASH_ADV_FLAG              VARCHAR2(4)  ,
    ASSIGNMENT_ID                    NUMBER(18, 0),
    AUDIT_CODE                       VARCHAR2(120),
    AUDIT_RETURN_REASON_CODE         VARCHAR2(120),
    AWT_GROUP_ID                     NUMBER(18, 0),
    BOTHPAY_FLAG                     VARCHAR2(4)  ,
    BUID                             NUMBER(18, 0),
    CASH_EXPENSE_PAID_DATE           DATE         ,
    CURRENT_APPROVER_ID              NUMBER(18, 0),
    EXCHANGE_RATE_TYPE               VARCHAR2(120),
    EXMEXPENSEREPORTS_CB             VARCHAR2(256),
    EXMEXPENSEREPORTS_CD             TIMESTAMP(6) ,
    EXMEXPENSEREPORTS_LUB            VARCHAR2(256),
    EXMEXPENSEREPORTS_LUD            TIMESTAMP(6) ,
    EXPENSE_REPORT_DATE              DATE         ,
    EXPENSE_REPORT_ID                NUMBER(18, 0),
    EXPENSE_REPORT_NUM               VARCHAR2(200),
    EXPENSE_REPORT_TOTAL             NUMBER       ,
    EXPENSE_STATUS_CODE              VARCHAR2(120),
    EXPENSE_STATUS_DATE              DATE         ,
    EXPORT_REJECT_CODE               VARCHAR2(120),
    EXP_REP_PROCESSING_ID            NUMBER(18, 0),
    FINAL_APPROVAL_DATE              DATE         ,
    HOLDING_EXPENSE_REPORT_ID        NUMBER(18, 0),
    IMAGED_RECEIPTS_RECEIVED_DATE    DATE         ,
    IMAGED_RECEIPTS_STATUS_CODE      VARCHAR2(80) ,
    LAST_AUDIT_BY                    NUMBER(18, 0),
    MISSING_IMAGES_REASON            VARCHAR2(320),
    OVERRIDE_APPROVER_ID             NUMBER(18, 0),
    PARENT_EXPENSE_REPORT_ID         NUMBER(18, 0),
    PAYMENT_METHOD_CODE              VARCHAR2(480),
    PERSON_ID                        NUMBER(18, 0),
    PREPARER_ID                      NUMBER(18, 0),
    PURPOSE                          VARCHAR2(960),
    RECEIPTS_FILING_NUMBER           VARCHAR2(960),
    RECEIPTS_RECEIVED_DATE           DATE         ,
    RECEIPTS_STATUS_CODE             VARCHAR2(120),
    REIMBURSEMENT_CURRENCY_CODE      VARCHAR2(60) ,
    REPORT_CREATION_METHOD_CODE      VARCHAR2(120),
    REPORT_SUBMIT_DATE               DATE         ,
    SHORTPAY_TYPE_CODE               VARCHAR2(120),
    UNAPPLIED_ADVANCES_JUST          VARCHAR2(960),
    UNAPPLIED_CASH_ADV_REASON        VARCHAR2(960),
    ETL_SEQUENCE_ID                  NUMBER(19, 0),
    ETL_VERSION_NUMBER               NUMBER(18, 0),
    DELETE_VERSION_NUMBER            NUMBER(18, 0),
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    APPLY_CASH_ADV_FLAG              VARCHAR2(4)  ,
    ASSIGNMENT_ID                    NUMBER(18, 0),
    AUDIT_CODE                       VARCHAR2(120),
    AUDIT_RETURN_REASON_CODE         VARCHAR2(120),
    AWT_GROUP_ID                     NUMBER(18, 0),
    BOTHPAY_FLAG                     VARCHAR2(4)  ,
    BUID                             NUMBER(18, 0),
    CASH_EXPENSE_PAID_DATE           DATE         ,
    CURRENT_APPROVER_ID              NUMBER(18, 0),
    EXCHANGE_RATE_TYPE               VARCHAR2(120),
    EXMEXPENSEREPORTS_CB             VARCHAR2(256),
    EXMEXPENSEREPORTS_CD             TIMESTAMP(6) ,
    EXMEXPENSEREPORTS_LUB            VARCHAR2(256),
    EXMEXPENSEREPORTS_LUD            TIMESTAMP(6) ,
    EXPENSE_REPORT_DATE              DATE         ,
    EXPENSE_REPORT_ID                NUMBER(18, 0),
    EXPENSE_REPORT_NUM               VARCHAR2(200),
    EXPENSE_REPORT_TOTAL             NUMBER       ,
    EXPENSE_STATUS_CODE              VARCHAR2(120),
    EXPENSE_STATUS_DATE              DATE         ,
    EXPORT_REJECT_CODE               VARCHAR2(120),
    EXP_REP_PROCESSING_ID            NUMBER(18, 0),
    FINAL_APPROVAL_DATE              DATE         ,
    HOLDING_EXPENSE_REPORT_ID        NUMBER(18, 0),
    IMAGED_RECEIPTS_RECEIVED_DATE    DATE         ,
    IMAGED_RECEIPTS_STATUS_CODE      VARCHAR2(80) ,
    LAST_AUDIT_BY                    NUMBER(18, 0),
    MISSING_IMAGES_REASON            VARCHAR2(320),
    OVERRIDE_APPROVER_ID             NUMBER(18, 0),
    PARENT_EXPENSE_REPORT_ID         NUMBER(18, 0),
    PAYMENT_METHOD_CODE              VARCHAR2(480),
    PERSON_ID                        NUMBER(18, 0),
    PREPARER_ID                      NUMBER(18, 0),
    PURPOSE                          VARCHAR2(960),
    RECEIPTS_FILING_NUMBER           VARCHAR2(960),
    RECEIPTS_RECEIVED_DATE           DATE         ,
    RECEIPTS_STATUS_CODE             VARCHAR2(120),
    REIMBURSEMENT_CURRENCY_CODE      VARCHAR2(60) ,
    REPORT_CREATION_METHOD_CODE      VARCHAR2(120),
    REPORT_SUBMIT_DATE               DATE         ,
    SHORTPAY_TYPE_CODE               VARCHAR2(120),
    UNAPPLIED_ADVANCES_JUST          VARCHAR2(960),
    UNAPPLIED_CASH_ADV_REASON        VARCHAR2(960),
    CONSTRAINT pk_gtg_ts_expenserptinfo PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
